org.eclipse.wst.jsdt.debug.core.jsdi

## Interface Mirror

All Known Subinterfaces:
  ArrayReference, BooleanValue, BreakpointEvent, BreakpointRequest, DebuggerStatementEvent, DebuggerStatementRequest, Event, EventRequest, EventSet, ExceptionEvent, ExceptionRequest, FunctionReference, LocatableEvent, NullValue, NumberValue, ObjectReference, PrimitiveValue, Property, ResumeEvent, ResumeRequest, ScriptLoadEvent, ScriptLoadRequest, ScriptReference, StackFrame, StepEvent, StepRequest, StringValue, SuspendEvent, SuspendRequest, ThreadEnterEvent, ThreadEnterRequest, ThreadExitEvent, ThreadExitRequest, ThreadReference, UndefinedValue, Value, Variable, VMDeathEvent, VMDeathRequest, VMDisconnectEvent, VMDisconnectRequest

    public interface Mirror

Abstract representation of an object that can be mirrored in a `VirtualMachine`.

Since:
  1.0
See Also:
  `Event`, `EventRequest`, `EventSet`, `Property`, `ScriptReference`, `StackFrame`, `ThreadReference`, `Value`
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`VirtualMachine` `virtualMachine()` Returns the handle to the `VirtualMachine` that this mirror object was spawned from

### Method Detail

#### virtualMachine

    VirtualMachine virtualMachine()

Returns the handle to the `VirtualMachine` that this mirror object was spawned from

Returns:
  the `VirtualMachine` handle that this mirror was spawned from